Installazione Amule Adunanza - Ubuntu 16.10-17.04 & derivate

amule_adunanza
guida

#21

Sono troppo avanti?:flushed::flushed:


#22

Questo è amule aggiornato


#23

Strano… più tardi provo con ubuntu.
Ripetimi i passaggi che hai fatto: hai seguito la guida e al primo avvio ti ha chiesto di aggiornare?

Puoi postare anche delle screenshot delle schermate del mulo?

edit: ho appena provato su Ubuntu, non mi ha chiesto di aggiornare…


#24

Si, esattamente come hai scritto, ho seguito la guida e al primo avvio mi ha chiesto di aggiornare.
Ti allego gli screenshot del programma e dell’errore che mi da continuamente.
Che dici provo a riinstallare?
grazie


#25

Siccome non ho idea di come tu abbia potuto installare una versione che non esiste… prova a rimuovere tutto e ripartire da capo, nel caso ti ricapitasse fai delle screen di quello che ti compare, compresi i link da dove ti fa scaricare gli aggiornamenti e i passaggi che ti fa fare per aggiornare…

Tra l’altro in che modo hai aggiornato?


#26

Ciao,
ho disistallato amule:
sudo apt-get --purge remove amule-adunanza
sudo apt autoremove
ho riavviato e controllato che non fosse più presente nelle applicazioni istallate:
sudo apt autoremove
ho seguito la guida sopra e istallato di nuovo amule e avviato


#27

Chiudo amule e poco dopo mi appare questo:


#28

Ti esplodo i particolari


#29

Se aggiorno ottengo un amule che non dovrebbe esistere (e che tra l’altro funziona male), se non aggiorno il messaggio continua a comparire.
Sicuramente potrei aver fatto qualche cavolata, ma quale?
:+1:Grazie comunque per il tempo che mi dedichi.
A presto


#30

No, la 2016 esiste
PPA aMule AdunanzA SVN e Adunanza Moonriver 2016.1b1 pacchetti deb amd64

e @mr_hyde ha aggiornato anche su SourceForge 5 mesi fa

comunque io, su Mint 19 (che dovrebbe essere basato su ubunto 18.04) seguendo i passaggi di questo thread non sono riuscito ad installare (metto tutto sotto spoiler)

Installazione fallita

goku@goku-Precision-WorkStation-T3400:~$ sudo apt update
[sudo] password di goku:
Ignorato:1 http://mirrors.evowise.com/linuxmint/packages tara InRelease
Trovato:2 http://it-mirrors.evowise.com/ubuntu bionic InRelease
Trovato:3 http://mirrors.evowise.com/linuxmint/packages tara Release
Trovato:4 http://it-mirrors.evowise.com/ubuntu bionic-updates InRelease
Trovato:5 http://it-mirrors.evowise.com/ubuntu bionic-backports InRelease
Trovato:6 http://linux.teamviewer.com/deb stable InRelease
Trovato:7 https://repo.skype.com/deb stable InRelease
Trovato:8 http://linux.teamviewer.com/deb preview InRelease
Trovato:9 http://security.ubuntu.com/ubuntu bionic-security InRelease
Trovato:10 http://archive.canonical.com/ubuntu bionic InRelease
Lettura elenco dei pacchetti… Fatto
Generazione albero delle dipendenze
Lettura informazioni sullo stato… Fatto
Tutti i pacchetti sono aggiornati.
goku@goku-Precision-WorkStation-T3400:~$ mkdir amule-adunanza
goku@goku-Precision-WorkStation-T3400:~$ cd amule-adunanza
goku@goku-Precision-WorkStation-T3400:~/amule-adunanza$ wget https://www.adunanza.net/download/amule-adunanza-16.10/amd64/amule-adunanza.zip
–2018-09-04 20:53:50-- https://www.adunanza.net/download/amule-adunanza-16.10/amd64/amule-adunanza.zip
Risoluzione di www.adunanza.net (www.adunanza.net)… 51.15.41.81
Connessione a www.adunanza.net (www.adunanza.net)|51.15.41.81|:443… connesso.
Richiesta HTTP inviata, in attesa di risposta… 200 OK
Lunghezza: 6028807 (5,7M) [application/zip]
Salvataggio in: “amule-adunanza.zip”

amule-adunanza.zip 100%[===================>] 5,75M 7,09MB/s in 0,8s

2018-09-04 20:53:51 (7,09 MB/s) - “amule-adunanza.zip” salvato [6028807/6028807]

goku@goku-Precision-WorkStation-T3400:~/amule-adunanza$ sudo apt install unzip
Lettura elenco dei pacchetti… Fatto
Generazione albero delle dipendenze
Lettura informazioni sullo stato… Fatto
unzip è già alla versione più recente (6.0-21ubuntu1).
I seguenti pacchetti sono stati installati automaticamente e non sono più richiesti:
linux-headers-4.15.0-23 linux-headers-4.15.0-23-generic
linux-headers-4.15.0-24 linux-headers-4.15.0-24-generic
linux-headers-4.15.0-29 linux-headers-4.15.0-29-generic
linux-headers-4.15.0-30 linux-headers-4.15.0-30-generic
linux-image-4.15.0-23-generic linux-image-4.15.0-24-generic
linux-image-4.15.0-29-generic linux-image-4.15.0-30-generic
linux-modules-4.15.0-23-generic linux-modules-4.15.0-24-generic
linux-modules-4.15.0-29-generic linux-modules-4.15.0-30-generic
linux-modules-extra-4.15.0-23-generic linux-modules-extra-4.15.0-24-generic
linux-modules-extra-4.15.0-29-generic linux-modules-extra-4.15.0-30-generic
Usare “sudo apt autoremove” per rimuoverli.
0 aggiornati, 0 installati, 0 da rimuovere e 0 non aggiornati.
goku@goku-Precision-WorkStation-T3400:~/amule-adunanza$ unzip amule-adunanza.zipArchive: amule-adunanza.zip
extracting: amule-adunanza_2012.1+2.3.1~dfsg1-0ubuntu3_amd64.deb
extracting: libwxbase2.8-0_2.8.12.1+dfsg2-2ubuntu2_amd64.deb
extracting: libwxgtk2.8-0_2.8.12.1+dfsg2-2ubuntu2_amd64.deb
inflating: libcrypto++9v5_5.6.1-8_amd64.deb
inflating: libupnp6_1.6.19+git20141001-1_amd64.deb
inflating: libpng12-0_1.2.51-0ubuntu3_amd64.deb
goku@goku-Precision-WorkStation-T3400:~/amule-adunanza$ sudo dpkg -i *.deb
Selezionato il pacchetto amule-adunanza non precedentemente selezionato.
dpkg: informazioni su amule-adunanza_2012.1+2.3.1~dfsg1-0ubuntu3_amd64.deb che contiene amule-adunanza:
amule-adunanza è in conflitto con amule
amule (versione 1:2.3.2-2) è presente e installato.

dpkg: errore nell’elaborare l’archivio amule-adunanza_2012.1+2.3.1~dfsg1-0ubuntu3_amd64.deb (–install):
pacchetti in conflitto - amule-adunanza non verrà installato
Selezionato il pacchetto libcrypto++9v5 non precedentemente selezionato.
(Lettura del database… 475482 file e directory attualmente installati.)
Preparativi per estrarre libcrypto++9v5_5.6.1-8_amd64.deb…
Estrazione di libcrypto++9v5 (5.6.1-8)…
Selezionato il pacchetto libpng12-0:amd64 non precedentemente selezionato.
Preparativi per estrarre libpng12-0_1.2.51-0ubuntu3_amd64.deb…
Estrazione di libpng12-0:amd64 (1.2.51-0ubuntu3)…
dpkg: attenzione: retrocessione di libupnp6:amd64 dalla versione 1:1.6.24-4 alla 1:1.6.19+git20141001-1
Preparativi per estrarre libupnp6_1.6.19+git20141001-1_amd64.deb…
Estrazione di libupnp6 (1:1.6.19+git20141001-1) su (1:1.6.24-4)…
Selezionato il pacchetto libwxbase2.8-0:amd64 non precedentemente selezionato.
Preparativi per estrarre libwxbase2.8-0_2.8.12.1+dfsg2-2ubuntu2_amd64.deb…
Estrazione di libwxbase2.8-0:amd64 (2.8.12.1+dfsg2-2ubuntu2)…
Selezionato il pacchetto libwxgtk2.8-0:amd64 non precedentemente selezionato.
Preparativi per estrarre libwxgtk2.8-0_2.8.12.1+dfsg2-2ubuntu2_amd64.deb…
Estrazione di libwxgtk2.8-0:amd64 (2.8.12.1+dfsg2-2ubuntu2)…
Configurazione di libcrypto++9v5 (5.6.1-8)…
Configurazione di libpng12-0:amd64 (1.2.51-0ubuntu3)…
Configurazione di libupnp6 (1:1.6.19+git20141001-1)…
Configurazione di libwxbase2.8-0:amd64 (2.8.12.1+dfsg2-2ubuntu2)…
Configurazione di libwxgtk2.8-0:amd64 (2.8.12.1+dfsg2-2ubuntu2)…
Elaborazione dei trigger per doc-base (0.10.8)…
Elaborazione 1 file doc-base aggiunto…
Registrazione dei documenti con scrollkeeper…
Elaborazione dei trigger per libc-bin (2.27-3ubuntu1)…
Si sono verificati degli errori nell’elaborazione:
amule-adunanza_2012.1+2.3.1~dfsg1-0ubuntu3_amd64.deb
goku@goku-Precision-WorkStation-T3400:~/amule-adunanza$ sudo apt install -f
Lettura elenco dei pacchetti… Fatto
Generazione albero delle dipendenze
Lettura informazioni sullo stato… Fatto
I seguenti pacchetti sono stati installati automaticamente e non sono più richiesti:
linux-headers-4.15.0-23 linux-headers-4.15.0-23-generic
linux-headers-4.15.0-24 linux-headers-4.15.0-24-generic
linux-headers-4.15.0-29 linux-headers-4.15.0-29-generic
linux-headers-4.15.0-30 linux-headers-4.15.0-30-generic
linux-image-4.15.0-23-generic linux-image-4.15.0-24-generic
linux-image-4.15.0-29-generic linux-image-4.15.0-30-generic
linux-modules-4.15.0-23-generic linux-modules-4.15.0-24-generic
linux-modules-4.15.0-29-generic linux-modules-4.15.0-30-generic
linux-modules-extra-4.15.0-23-generic linux-modules-extra-4.15.0-24-generic
linux-modules-extra-4.15.0-29-generic linux-modules-extra-4.15.0-30-generic
Usare “sudo apt autoremove” per rimuoverli.
0 aggiornati, 0 installati, 0 da rimuovere e 1 non aggiornati.
goku@goku-Precision-WorkStation-T3400:~/amule-adunanza$

mentre seguendo questa guida (con la repo di Betsbass installata) ho installato regolarmente la 2016.1b1
immagine

Installazione completata

goku@goku-Precision-WorkStation-T3400:~$ sudo add-apt-repository ppa:betsbass/unstable
[sudo] password di goku:
Stai per aggiungere il seguente PPA:
experimental ppa for amule-adunanza SVN
Maggiori informazioni: https://launchpad.net/~betsbass/+archive/ubuntu/unstable
Premi Invio per continuare o Ctrl+C per annullare

Executing: /tmp/apt-key-gpghome.NlDkL7G1mg/gpg.1.sh --keyserver hkp://keyserver.ubuntu.com:80 --recv-keys C9ABA345
gpg: chiave 3EC77DA3C9ABA345: chiave pubblica “Launchpad PPA for betsbass” importata
gpg: Numero totale esaminato: 1
gpg: importate: 1
goku@goku-Precision-WorkStation-T3400:~$ sudo apt update
Ignorato:1 http://mirrors.evowise.com/linuxmint/packages tara InRelease
Trovato:2 http://it-mirrors.evowise.com/ubuntu bionic InRelease
Trovato:3 http://mirrors.evowise.com/linuxmint/packages tara Release
Trovato:4 http://it-mirrors.evowise.com/ubuntu bionic-updates InRelease
Trovato:5 http://it-mirrors.evowise.com/ubuntu bionic-backports InRelease
Trovato:6 https://repo.skype.com/deb stable InRelease
Scaricamento di:7 http://ppa.launchpad.net/betsbass/unstable/ubuntu bionic InRelease [15,9 kB]
Trovato:8 http://linux.teamviewer.com/deb stable InRelease
Trovato:9 http://linux.teamviewer.com/deb preview InRelease
Trovato:10 http://archive.canonical.com/ubuntu bionic InRelease
Scaricamento di:12 http://security.ubuntu.com/ubuntu bionic-security InRelease [83,2 kB]
Scaricamento di:13 http://ppa.launchpad.net/betsbass/unstable/ubuntu bionic/main Sources [912 B]
Scaricamento di:14 http://ppa.launchpad.net/betsbass/unstable/ubuntu bionic/main amd64 Packages [1.248 B]
Scaricamento di:15 http://ppa.launchpad.net/betsbass/unstable/ubuntu bionic/main i386 Packages [1.252 B]
Scaricamento di:16 http://ppa.launchpad.net/betsbass/unstable/ubuntu bionic/main Translation-en [1.348 B]
Recuperati 104 kB in 2s (55,3 kB/s)
Lettura elenco dei pacchetti… Fatto
Generazione albero delle dipendenze
Lettura informazioni sullo stato… Fatto
1 pacchetto può essere aggiornato: eseguire “apt list --upgradable” per vederlo.
goku@goku-Precision-WorkStation-T3400:~$ apt list --upgradable
Elencazione… Fatto
libupnp6/bionic 1:1.6.24-4 amd64 [aggiornabile da: 1:1.6.19+git20141001-1]
N: C’è 1 versione aggiuntiva: usare “-a” per visualizzarla
goku@goku-Precision-WorkStation-T3400:~$ -a
-a: comando non trovato
goku@goku-Precision-WorkStation-T3400:~$ sudo apt install amule-adunanza
Lettura elenco dei pacchetti… Fatto
Generazione albero delle dipendenze
Lettura informazioni sullo stato… Fatto
I seguenti pacchetti sono stati installati automaticamente e non sono più richiesti:
linux-headers-4.15.0-23 linux-headers-4.15.0-23-generic
linux-headers-4.15.0-24 linux-headers-4.15.0-24-generic
linux-headers-4.15.0-29 linux-headers-4.15.0-29-generic
linux-headers-4.15.0-30 linux-headers-4.15.0-30-generic
linux-image-4.15.0-23-generic linux-image-4.15.0-24-generic
linux-image-4.15.0-29-generic linux-image-4.15.0-30-generic
linux-modules-4.15.0-23-generic linux-modules-4.15.0-24-generic
linux-modules-4.15.0-29-generic linux-modules-4.15.0-30-generic
linux-modules-extra-4.15.0-23-generic linux-modules-extra-4.15.0-24-generic
linux-modules-extra-4.15.0-29-generic linux-modules-extra-4.15.0-30-generic
Usare “sudo apt autoremove” per rimuoverli.
Pacchetti suggeriti:
amule-adunanza-utils amule-adunanza-utils-gui
I seguenti pacchetti saranno RIMOSSI:
amule amule-common
I seguenti pacchetti NUOVI saranno installati:
amule-adunanza
0 aggiornati, 1 installati, 2 da rimuovere e 1 non aggiornati.
È necessario scaricare 2.356 kB di archivi.
Dopo quest’operazione, verranno liberati 4.060 kB di spazio su disco.
Continuare? [S/n] s
Scaricamento di:1 http://ppa.launchpad.net/betsbass/unstable/ubuntu bionic/main amd64 amule-adunanza amd64 2016.1b1+svn572-0ppa1~bb~bionic0 [2.356 kB]
Recuperati 2.356 kB in 2s (1.353 kB/s)
(Lettura del database… 475546 file e directory attualmente installati.)
Rimozione di amule (1:2.3.2-2)…
Rimozione di amule-common (1:2.3.2-2)…
(Lettura del database… 475401 file e directory attualmente installati.)
Preparativi per estrarre …/amule-adunanza_2016.1b1+svn572-0ppa1~bb~bionic0_amd64.deb…
Estrazione di amule-adunanza (2016.1b1+svn572-0ppa1~bb~bionic0)…
Configurazione di amule-adunanza (2016.1b1+svn572-0ppa1~bb~bionic0)…
Elaborazione dei trigger per mime-support (3.60ubuntu1)…
Elaborazione dei trigger per desktop-file-utils (0.23+linuxmint3)…
Elaborazione dei trigger per man-db (2.8.3-2)…
Elaborazione dei trigger per gnome-menus (3.13.3-11ubuntu1.1)…
Elaborazione dei trigger per hicolor-icon-theme (0.17-2)…
goku@goku-Precision-WorkStation-T3400:~$

In compenso, la versione Amule “liscia” che avevo installato in precedenza è sparita dall’elenco dei programmi disponibili ed è stata sostituita da quella di AmuneAdunanza.


#31

Eccomi, scusate la latitanza.

OK trovato l’inghippo. Qualcuno (sarà Bestbass?) ha probabilmente aggiornato i repo di Ubuntu con la 2016 che è versione svn di sviluppo. Va bene lo stesso, utilizzatela pure.

@Luca_Trosce hai inserito i PPA di amule-adunanza manualmente? (ovvero, se lanci un apt update cosa ti viene fuori?)

In ogni caso con alcune versioni SVN avevo riscontrato un po’ di bug con Ubuntu, spesso crashavano, per questo siamo rimasti con la stabile. Comunque, potete usarle tranquillamente se vi funzionano.

@goku ho appena provato con una live sia di ubuntu sia di mint e la guida qui sopra funziona tranquillamente!


#32

@Goku qui trovi il perché non ti installava i miei deb. Invece la versione PPA ha sostituito amule originale. Due versioni vanno in conflitto.


#33

Non sapevo che non è possibile avere entrambe le versioni ed ero troppo stanco per leggere tutto :grimacing:
Avevo intuito che fosse una cosa simile quando ho visto che amule era sparito.
Grazie dello spiego :+1:t2:


#34

Ciao,
questo è quanto mi riporta il terminale al comando apt update:

Dovrebbe essere il PPA betsbass/unstable quello che mi crea il problema. Se lo elimino rimango alla versione 2012 e non mi chiederà più di aggiornare?
Grazie
A presto


#35

@Luca_Trosce

sudo ppa-purge ppa:betsbass/unstable

#36

Sì, anche se non è il ppa il problema ma la versione 2016 che è un po’ instabile mi sa. Comunque disinstallando, poi eliminando il ppa e infine installando come da guida dovresti tornare con la 2012.

ps: @betsbass a te è stabile la 2016? Mantieni aggiornato il ppa?


#37

:+1:
Fatto,
perfetto!
Grazie


#38

A parte errori “SendBlockRequests” e “SendMyDetails” io la trovo stabile. Crash non ne ho.
Per risolverli bisognerebbe chiedere a mrhyde o a chi conosce il codice.
Comunque appena mi compare la schermata con il primo errore, prima di dare il “continue”, deseleziono “Show this dialog the next time” e non riscontro più anomalie.
(se si lancia da terminale si possono comunque vedere questi errori ripetersi ma il mulo non si blocca più).

Per il ppa mi limito ad aggiornare quando mrhyde fa degli aggiornamenti. Ho solamente aggiunto alcune patch che puoi trovare nel debian.tar.xz su launchpad.

Riguardo allo stato di sviluppo della svn non so nulla. @mr_hyde potrebbe dirci la sua.

Cheers :beers: